Bug 37131 - Many compiler warnings
Summary: Many compiler warnings
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iputils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-23 03:44 UTC by hjl
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 08:56:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2001-04-23 03:44:29 UTC
When I rebuilt iputils with glibc 2.2.3, I got
many compiler warnings like

clockdiff.c:665: warning: implicit declaration of function
`time'               
clockdiff.c:671: warning: implicit declaration of function
`ctime'              

It may have something to do with the time.h change
in glibc.

Comment 1 Phil Knirsch 2001-05-21 08:56:02 UTC
Will be fixed in the next iputils build. It is (as suspected) a problem with the
next, more compliant way glibc handles the includes.

Read ya, Phil

Comment 2 Phil Knirsch 2001-06-26 12:45:04 UTC
Fixed in rawhide. Sorry that it took so long...

There were a couple of other minor compiler warning about unititialized
variables which i directly fixed as well.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.